
### Hum::Fox::AceData::GenomeSequence

package Hum::Fox::AceData::GenomeSequence;

use strict;
use Carp;
use Hum::Fox::AceData;
use vars qw{ @ISA };

@ISA = qw{ Hum::Fox::AceData };

sub moniker {
    return 'genomic';
}

sub ace_class {
    return 'Sequence';
}

# Overrides method in baseclass, adding Genomic_canonical
sub ace_string {
    my( $self ) = @_;
    
    my $class = $self->ace_class;
    my $name  = $self->name or confess "name not set";
    my $data  = $self->data;
    return qq{\n$class : "$name"\nGenomic_canonical\n$data\n};
}

1;

__END__

=head1 NAME - Hum::Fox::AceData::GenomeSequence

=head1 AUTHOR

James Gilbert B<email> jgrg@sanger.ac.uk

