
package Hum::Env;

=pod

=head1 NAME Hum::Env

HACKED VERSION FOR LOCAL INSTALLATION of LACE/SPANDIT/ANA_NOTES.
Loads before PerlModules version.  TH 10/9/02

=head1 DESCRIPTION

B<Hum::Env> is used to provide a controlled
environment for scripts in the human analysis
system.  It is used in cron jobs and CGI scripts
to ensure that B<PERL5LIB> and B<PATH>
environment variables, etc... are set up
correctly.

=head1 SYNOPSIS

    use Hum::Env;

You need to put this line B<BEFORE> you "use" any
other modules.

Remember that you need to "use lib <path>", where
B<path> contains Hum::Env.

=head2 Author

James Gilbert email B<jgrg@sanger.ac.uk>

=cut

use strict;

print "Local Env.pm is being loaded...\n";

my (@libs, @path);
my $vegadbsrc;

# Set up @INC
BEGIN {
    $vegadbsrc=$ENV{'VEGADBSRC'};
    @libs = (
	     "$vegadbsrc/lace_local/modules",
	     "$vegadbsrc/bioperl",
	     "$vegadbsrc/PerlModules",
	     "$vegadbsrc/tk",
	     "$vegadbsrc/fox",
	     "$vegadbsrc/ensembl/modules",
	     "$vegadbsrc/ensembl-ace",
	     );
}
use lib @libs;

# HOME environment variable (and LOGDIR)
$ENV{HOME} = (getpwuid($<))[7];
$ENV{LOGDIR} = $ENV{HOME};

# Ensure @INC gets propagated in system calls
$ENV{PERL5LIB} = join ':', @libs;

# List of dirs for PATH
@path = qw(
	   ###INSERT ACEDB/SCRIPT DIRECTORY HERE###
	   /usr/local/bin
	   /bin
	   /usr/bin
	   /sbin
	   /usr/sbin
	   /usr/bin/X11
	   /usr/X11R6/bin
	   );

# Set PATH environment
$ENV{PATH} = join ':', @path;

# Set command to run spangle script
$ENV{SPANGLE} = "/usr/local/bin/perl $vegadbsrc/PerlModules/Spangle/bin/spantest";


1;

__END__
