
### Bio::EnsEMBL::Ace::DataFactory

package Bio::EnsEMBL::Ace::DataFactory;

use strict;
use Bio::SeqIO;

sub new {
    my ($class) = @_;

    my $self = bless [], $class;
    return $self;
}

sub ace_data_from_contig {
    my ( $self, $contig ) = @_;
    
    my $ace_data = undef;
    foreach my $filt ( $self->get_all_AceFilters ) {
        $ace_data .= $filt->ace_data($contig);
    }

    return $ace_data;
}

sub add_AceFilter {
    my( $self, $filter ) = @_;
    if ( $filter->analysis_object) {
        push(@$self, $filter);
    }
}

sub get_all_AceFilters {
    my( $self ) = @_;

    return @$self;
}

1;

__END__

=head1 NAME - Bio::EnsEMBL::Ace::DataFactory

=head1 AUTHOR

Stephen Keenan B<email> keenan@sanger.ac.uk

