
### Bio::EnsEMBL::Ace::Filter::Gene::Predicted

package Bio::EnsEMBL::Ace::Filter::Gene::Predicted;

use strict;
use Carp;
use Bio::EnsEMBL::Ace::Filter::Gene;
use vars '@ISA';
@ISA = ('Bio::EnsEMBL::Ace::Filter::Gene');

sub get_transcripts {
    my( $self, $contig ) = @_;
    
    my $ana_obj = $self->analysis_object
        or confess "analysis_object not set";
    my $feature_type = uc $ana_obj->logic_name;
    my $ana_id       =    $ana_obj->dbID;

    my $contig_id = $contig->id;        
    my @predict   = $contig->get_all_PredictionFeatures_by_analysis_id($ana_id);
    
    my @trans;
    my $count = 0;
    foreach my $predict (@predict) {               
        $count++;
        my $transcript =
          Bio::EnsEMBL::DBSQL::Utils::fset2transcript( $predict, $contig );
        my $stable_id = "$contig_id.$feature_type.$count";
        $transcript->stable_id($stable_id);    
        push(@trans, $transcript);
    }
    return @trans;
}

1;

__END__

=head1 NAME - Bio::EnsEMBL::Ace::Filter::Gene::Predicted

=head1 AUTHOR

James Gilbert B<email> jgrg@sanger.ac.uk

